//+------------------------------------------------------------------+
//|                                                     MarginFX.mq4 |
//|                                         Copyright  2007, Xupypr |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Xupypr"
#property show_inputs

#include <WinUser32.mqh>

extern double Lots=1.0; //  

string Symbols[24]={"CHFJPY","CADJPY","CADCHF","USDJPY","USDCHF","USDCAD","EURUSD","EURGBP","EURJPY","EURCHF","EURAUD","EURCAD","EURNZD","GBPUSD","GBPJPY","GBPCHF","NZDUSD","NZDJPY","AUDUSD","AUDJPY","AUDCHF","AUDCAD","AUDNZD","GOLD"};

int start()
{
 if (!IsConnected())
 {
  MessageBox("     \t","!",MB_OK|MB_ICONERROR);
  return(-1);
 }
 if (Lots<MarketInfo(Symbol(),MODE_MINLOT)) Lots=MarketInfo(Symbol(),MODE_MINLOT);
 if (Lots>MarketInfo(Symbol(),MODE_MAXLOT)) Lots=MarketInfo(Symbol(),MODE_MAXLOT);
 string currency=AccountCurrency();
 string str=StringConcatenate("\t\t (",currency,")\t (",currency,")\t\n\n");
 for (int i=0;i<24;i++) str=StringConcatenate(str,Symbols[i],"\t\t",Lots*MarketInfo(Symbols[i],MODE_MARGINREQUIRED),"\t\t",
                                                                    Lots*MarketInfo(Symbols[i],MODE_TICKVALUE),"\n");
 MessageBox(str,"   ",MB_OK|MB_ICONINFORMATION);
 return(0);
}